Package org.bukkit.block

# Interface Beehive

All Superinterfaces:
  `BlockState`, `EntityBlockStorage<Bee>`, `Metadatable`, `PersistentDataHolder`, `TileState`

public interface Beehive extends EntityBlockStorage<Bee>
Represents a captured state of a bee hive.

## Method Summary

Modifier and Type
Method
Description
`@Nullable Location`
`getFlower()`
Get the hive's flower location.
`boolean`
`isSedated()`
Check if the hive is sedated due to smoke from a nearby campfire.
`void`
`setFlower(@Nullable Location location)`
Set the hive's flower location.

### Methods inherited from interface org.bukkit.block.BlockState

`getBlock, getBlockData, getChunk, getData, getDrops, getDrops, getDrops, getLightLevel, getLocation, getLocation, getRawData, getType, getWorld, getX, getY, getZ, isCollidable, isPlaced, setBlockData, setData, setRawData, setType, update, update, update`

### Methods inherited from interface org.bukkit.block.EntityBlockStorage

`addEntity, clearEntities, getEntityCount, getMaxEntities, isFull, releaseEntities, setMaxEntities`

### Methods inherited from interface org.bukkit.metadata.Metadatable

`getMetadata, hasMetadata, removeMetadata, setMetadata`

### Methods inherited from interface org.bukkit.block.TileState

`getPersistentDataContainer, isSnapshot`

## Method Details

### getFlower

@Nullable @Nullable Location getFlower()
Get the hive's flower location.

Returns:
  flower location or null

### setFlower

void setFlower(@Nullable @Nullable Location location)
Set the hive's flower location.

Parameters:
  `location` - or null

### isSedated

boolean isSedated()
Check if the hive is sedated due to smoke from a nearby campfire.

Returns:
  True if hive is sedated